Subject: Re: bug#58509: 29.0.50; Synchronous nativecomp

From: Andrea Corallo <[email-masked]>
Date: Mon, 17 Oct 2022 07:52:12 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Yes, ATM we break circularity as in noninteractive sessions we disable
>> native compilation, if we allow for it we just have to handle the case.
>> The mechanism discussed for trampolines on emacs-devel should be
>> extended for lisp code as well and should do the job.
>
> Yup.  Perhaps we could just have a special value for
> `inhibit-automatic-native-compilation' to also skip trampoline
> generation totally?

I think `inhibit-automatic-native-compilation' does already too many
things (with an abstraction I find definitely too weak), that's the
reason I'm against it.  I don't think I want it to do even more.

  Andrea